org.wildfly.swarm.config.management.access

## Class AuditLogLogger<T extends AuditLogLogger<T>>

- java.lang.Object
- - org.wildfly.swarm.config.management.access.AuditLogLogger<T>

-     public class AuditLogLogger<T extends AuditLogLogger<T>>
      extends Object

  The management audit logging top-level resource.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AuditLogLogger.AuditLogLoggerResources` Child mutators for AuditLogLogger

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuditLogLogger()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `enabled()` Whether audit logging is enabled.
    `T` | `enabled(Boolean value)` Whether audit logging is enabled.
    `String` | `getKey()`
    `T` | `handler(Handler value)` Add the Handler object to the list of subresources
    `T` | `handler(HandlerSupplier supplier)` Install a supplied Handler object to the list of subresources
    `T` | `handler(String childKey)` Create and configure a Handler object to the list of subresources
    `T` | `handler(String childKey, HandlerConsumer consumer)` Create and configure a Handler object to the list of subresources
    `T` | `handlers(List<Handler> value)` Add all Handler objects to this subresource
    `Boolean` | `logBoot()` Whether operations should be logged on server boot.
    `T` | `logBoot(Boolean value)` Whether operations should be logged on server boot.
    `Boolean` | `logReadOnly()` Whether operations that do not modify the configuration or any runtime services should be logged.
    `T` | `logReadOnly(Boolean value)` Whether operations that do not modify the configuration or any runtime services should be logged.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `AuditLogLogger.AuditLogLoggerResources` | `subresources()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuditLogLogger

          public AuditLogLogger()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public AuditLogLogger.AuditLogLoggerResources subresources()

    - #### handlers

          public T handlers(List<Handler> value)

      Add all Handler objects to this subresource
      Parameters:
        `value` - List of Handler objects.
      Returns:
        this

    - #### handler

          public T handler(Handler value)

      Add the Handler object to the list of subresources
      Parameters:
        `value` - The Handler to add
      Returns:
        this

    - #### handler

          public T handler(String childKey,
                           HandlerConsumer consumer)

      Create and configure a Handler object to the list of subresources
      Parameters:
        `key` - The key for the Handler resource
        `config` - The HandlerConsumer to use
      Returns:
        this

    - #### handler

          public T handler(String childKey)

      Create and configure a Handler object to the list of subresources
      Parameters:
        `key` - The key for the Handler resource
      Returns:
        this

    - #### handler

          public T handler(HandlerSupplier supplier)

      Install a supplied Handler object to the list of subresources

    - #### enabled

          public Boolean enabled()

      Whether audit logging is enabled.

    - #### enabled

          public T enabled(Boolean value)

      Whether audit logging is enabled.

    - #### logBoot

          public Boolean logBoot()

      Whether operations should be logged on server boot.

    - #### logBoot

          public T logBoot(Boolean value)

      Whether operations should be logged on server boot.

    - #### logReadOnly

          public Boolean logReadOnly()

      Whether operations that do not modify the configuration or any runtime services should be logged.

    - #### logReadOnly

          public T logReadOnly(Boolean value)

      Whether operations that do not modify the configuration or any runtime services should be logged.

Copyright © 2018 JBoss by Red Hat. All rights reserved.